# Studio 8 Questions

# 1. Put your code answering the R questions in this file.
# 2. Read all instructions carefully!
# 3. If code is given with a question it is meant to be used. Don't just ignore it.

# 4. Before uploading the code: clear the environment (source CLEARALL.R)
#    and source the entire file (choose source from the code menu).
#   -- Make sure that it runs without error and outputs just the
#     answers asked for in the questions.
#   -- Remember to use print statements to print the values asked for
# 5. **** Upload your code to  ****
#    https://math.mit.edu/~dav/uploads/
#
#--------------------------------------
# Problem 1.  Significance and power/type 1 and type 2 errors ----
# In Problems 2 and 3 you are omniscient. You always know the answer. It's
# just the poor experimenters below you who don't know if they are making
# errors by rejecting or not rejecting.

# There are two types of coins with 0.5 and 0.6 probability of heads. An
# experimenter has one of the coins and wants to determine which type it
# is. The null and alternative hypotheses are
#     H0 coin is fair.
#     HA coin has probability 0.6 of heads
# Experiment: toss the coin nTosses times
# Test statistic: x = number of heads
# One-sided (right-sided) significance test with significance alpha
#
# We give you the following values
nTosses = 18
theta_H0 = 0.5
theta_HA = 0.6
alpha = 0.05    # We fix the desired significance

#----
# Problem 1a. What is the rejection region? ----
# **** Be careful to avoid an 'off by 1 error' here.
# Print out your answer.

#----
# Problem 1b.
#  What is the actual significance of this experiment?
#  What is the power of this experiment?
#  Print out your answers

#-----------------------------
# Problem 2. Same setup as in problem 1.
# Suppose every experiment is with a fair coin.

#---
# Problem 2a.  Simulate 10000 experiments and compute each of the following from (simulated values) the data
# number of rejections
# number of type 1 errors
# number of type 2 errors
# P(rejection | H0)
# P(H0 | rejection)
# P(rejection | HA)
# P(HA | rejection)

#---
# Problem 2b. Print a short explanation of the probabilities in problem 2a.

#---------------------------
# Problem 3. Same setup as in problem 1. Suppose every experiment is run with a 0.6 coin.

#---
# Problem 3a.  (Repeat problem 2a with 0.6 coin)
# Simulate 10000 experiments and compute each of the following (simulated values) from the data
# number of rejections
# number of type 1 errors
# number of type 2 errors
# P(rejection | H0)
# P(H0 | rejection)
# P(rejection | HA)
# P(HA | rejection)

#---
# Problem 3b. Print a short explanation of the probabilities in problem 3a.

#----------------------------

